Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Methods | [Expand All]
public interface

# DriveResource

com.google.android.gms.drive.DriveResource

Known Indirect Subclasses
DriveFile, DriveFolder

DriveFile | A file in Drive.
DriveFolder | A folder in Drive.

## Class Overview

A Resource represents a file or folder in Drive.

## Summary

Nested Classes
interface | DriveResource.MetadataResult | Result that is returned in response to metadata requests.

Public Methods
abstract DriveId | getDriveId() Returns the DriveId that uniquely identifies this resource.
abstract PendingResult<DriveResource.MetadataResult> | getMetadata(GoogleApiClient apiClient) Retrieves the Metadata that is associated with this resource.
abstract PendingResult<DriveResource.MetadataResult> | updateMetadata(GoogleApiClient apiClient, MetadataChangeSet changeSet) Updates the Metadata that is associated with this resource with the changes described in the `MetadataChangeSet`.

## Public Methods

#### public abstract DriveId getDriveId ()

Returns the DriveId that uniquely identifies this resource.

#### public abstract PendingResult<DriveResource.MetadataResult> getMetadata (GoogleApiClient apiClient)

Retrieves the Metadata that is associated with this resource.

##### Parameters

apiClient | The `GoogleApiClient` to service the call.

##### Returns

- a PendingResult which can be used to retrieve the Metadata when it is available.

#### public abstract PendingResult<DriveResource.MetadataResult> updateMetadata (GoogleApiClient apiClient, MetadataChangeSet changeSet)

Updates the Metadata that is associated with this resource with the changes described in the `MetadataChangeSet`.

Note: to update the metadata, the user must have edit access. See `isEditable()`.

##### Parameters

apiClient | The `GoogleApiClient` to service the call. The client must be connected when this method is invoked.
changeSet | The set of changes that will be applied to the Metadata. Only include the specific fields that wish to be updated.

##### Returns

- a PendingResult which will return the updated Metadata when it is available.